Bug 1005882 - [abrt] remmina-1.0.0-7.fc19: gethostid: Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
[abrt] remmina-1.0.0-7.fc19: gethostid: Process /usr/bin/remmina was killed b...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:87c59fe057d30cf9b6f6d111372...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 11:08 EDT by YAR
Modified: 2014-08-18 04:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 04:45:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.99 KB, text/plain)
2013-09-09 11:08 EDT, YAR
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-09 11:08 EDT, YAR
no flags Details
File: core_backtrace (9.80 KB, text/plain)
2013-09-09 11:08 EDT, YAR
no flags Details
File: dso_list (9.84 KB, text/plain)
2013-09-09 11:08 EDT, YAR
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-09 11:08 EDT, YAR
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-09 11:08 EDT, YAR
no flags Details
File: maps (67.98 KB, text/plain)
2013-09-09 11:09 EDT, YAR
no flags Details
File: open_fds (963 bytes, text/plain)
2013-09-09 11:09 EDT, YAR
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-09-09 11:09 EDT, YAR
no flags Details
File: var_log_messages (413 bytes, text/plain)
2013-09-09 11:09 EDT, YAR
no flags Details

  None (edit)
Description YAR 2013-09-09 11:08:39 EDT
Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        remmina
crash_function: gethostid
environ:        
executable:     /usr/bin/remmina
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 3 (1 frames)
 #0 gethostid at ../sysdeps/unix/sysv/linux/gethostid.c:103
Comment 1 YAR 2013-09-09 11:08:42 EDT
Created attachment 795650 [details]
File: backtrace
Comment 2 YAR 2013-09-09 11:08:45 EDT
Created attachment 795651 [details]
File: cgroup
Comment 3 YAR 2013-09-09 11:08:49 EDT
Created attachment 795652 [details]
File: core_backtrace
Comment 4 YAR 2013-09-09 11:08:52 EDT
Created attachment 795653 [details]
File: dso_list
Comment 5 YAR 2013-09-09 11:08:55 EDT
Created attachment 795654 [details]
File: exploitable
Comment 6 YAR 2013-09-09 11:08:59 EDT
Created attachment 795655 [details]
File: limits
Comment 7 YAR 2013-09-09 11:09:02 EDT
Created attachment 795656 [details]
File: maps
Comment 8 YAR 2013-09-09 11:09:06 EDT
Created attachment 795657 [details]
File: open_fds
Comment 9 YAR 2013-09-09 11:09:09 EDT
Created attachment 795658 [details]
File: proc_pid_status
Comment 10 YAR 2013-09-09 11:09:12 EDT
Created attachment 795659 [details]
File: var_log_messages
Comment 11 Christoph Wickert 2014-05-22 07:35:16 EDT
Assigning bug to new package maintainer.
Comment 12 Pavel Alexeev 2014-08-18 04:45:56 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.